PipeWire 1.4.10

Loading...
Searching...
No Matches
pod.h File Reference
SPA » POD

spa/pod/pod.h More...

Go to the source code of this file.

## Data Structures
struct | spa_pod
struct | spa_pod_bool
struct | spa_pod_id
struct | spa_pod_int
struct | spa_pod_long
struct | spa_pod_float
struct | spa_pod_double
struct | spa_pod_string
struct | spa_pod_bytes
struct | spa_pod_rectangle
struct | spa_pod_fraction
struct | spa_pod_bitmap
struct | spa_pod_array_body
struct | spa_pod_array
struct | spa_pod_choice_body
struct | spa_pod_choice
struct | spa_pod_struct
struct | spa_pod_object_body
struct | spa_pod_object
struct | spa_pod_pointer_body
struct | spa_pod_pointer
struct | spa_pod_fd
struct | spa_pod_prop
struct | spa_pod_control
struct | spa_pod_sequence_body
struct | spa_pod_sequence
| a sequence of timed controls More...

## Macros
#define | SPA_POD_BODY_SIZE(pod)
#define | SPA_POD_TYPE(pod)
#define | SPA_POD_SIZE(pod)
#define | SPA_POD_CONTENTS_SIZE(type, pod)
#define | SPA_POD_CONTENTS(type, pod)
#define | SPA_POD_CONTENTS_CONST(type, pod)
#define | SPA_POD_BODY(pod)
#define | SPA_POD_BODY_CONST(pod)
#define | SPA_POD_VALUE(type, pod)
#define | SPA_POD_ARRAY_CHILD(arr)
#define | SPA_POD_ARRAY_VALUE_TYPE(arr)
#define | SPA_POD_ARRAY_VALUE_SIZE(arr)
#define | SPA_POD_ARRAY_N_VALUES(arr)
#define | SPA_POD_ARRAY_VALUES(arr)
#define | SPA_POD_CHOICE_CHILD(choice)
#define | SPA_POD_CHOICE_TYPE(choice)
#define | SPA_POD_CHOICE_FLAGS(choice)
#define | SPA_POD_CHOICE_VALUE_TYPE(choice)
#define | SPA_POD_CHOICE_VALUE_SIZE(choice)
#define | SPA_POD_CHOICE_N_VALUES(choice)
#define | SPA_POD_CHOICE_VALUES(choice)
#define | SPA_POD_OBJECT_TYPE(obj)
#define | SPA_POD_OBJECT_ID(obj)
#define | SPA_POD_PROP_SIZE(prop)
#define | SPA_POD_PROP_FLAG_READONLY (1u<<0)
| is read-only
#define | SPA_POD_PROP_FLAG_HARDWARE (1u<<1)
| some sort of hardware parameter
#define | SPA_POD_PROP_FLAG_HINT_DICT (1u<<2)
| contains a dictionary struct as (Struct( Int : n_items, (String : key, String : value)*))
#define | SPA_POD_PROP_FLAG_MANDATORY (1u<<3)
| is mandatory
#define | SPA_POD_PROP_FLAG_DONT_FIXATE (1u<<4)
| choices need no fixation
#define | SPA_POD_CONTROL_SIZE(ev)

## Enumerations
enum | spa_choice_type { SPA_CHOICE_None , SPA_CHOICE_Range , SPA_CHOICE_Step , SPA_CHOICE_Enum , SPA_CHOICE_Flags }

## Detailed Description

spa/pod/pod.h